package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgSecUser;
import com.sa.ibiz.demo.demo.service.dto.OrgSecUserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgSecUser] 服务对象接口
 */
public interface OrgSecUserService extends IService<OrgSecUser>{

	boolean checkKey(OrgSecUser et);
		OrgSecUser removeDefault(OrgSecUser et);
	boolean create(OrgSecUser et);
	boolean update(OrgSecUser et);
		OrgSecUser get(OrgSecUser et);
	boolean getDraft(OrgSecUser et);
	boolean remove(OrgSecUser et);
    List<OrgSecUser> listDefault(OrgSecUserSearchFilter filter) ;
	Page<OrgSecUser> searchDefault(OrgSecUserSearchFilter filter);
	/**	 实体[OrgSecUser] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }